For the complete documentation index, see llms.txt. This page is also available as Markdown.

List available WordPress core updates

List available WordPress core updates for the specified installation.

List available WordPress core updates

get

List available WordPress core updates for the specified installation.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Responses
200

Success response

application/json
versionstringOptional

Available WordPress core version

Example: 6.5.2
typestring · enumOptional

Update type

Example: minorPossible values:
urlstringOptional

Download URL for the update package

Example: https://wordpress.org/wordpress-6.5.2.zip
get/api/hosting/v1/accounts/{username}/wordpress/{software}/updates
GET /api/hosting/v1/accounts/{username}/wordpress/{software}/updates HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "version": "6.5.2",
    "type": "minor",
    "url": "https://wordpress.org/wordpress-6.5.2.zip"
  }
]

Last updated

Was this helpful?